## org.omg.CORBA
Class DomainManagerPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.DomainManagerPOA

All Implemented Interfaces:
  DomainManagerOperations, InvokeHandler

Direct Known Subclasses:
  DomainManagerPOATie

public abstract class DomainManagerPOA
extends Servant
implements DomainManagerOperations, InvokeHandler

Interface definition : DomainManager

Author:
  OpenORB Compiler

Constructor Summary
`DomainManagerPOA()`

Method Summary
`java.lang.String[]` `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`DomainManager` `_this()`
`DomainManager` `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.DomainManagerOperations
`get_domain_policy`

Constructor Detail

### DomainManagerPOA

    public DomainManagerPOA()

Method Detail

### _this

    public DomainManager _this()

### _this

    public DomainManager _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`